# class AmebaLS::IssueDiagnostic

- AmebaLS::IssueDiagnostic
- Reference
- Object

##
Defined in:

ameba-ls/ameba/diagnostics_formatter.cr

##
Constructors

- .new(issue : Ameba::Issue, diagnostic : LSProtocol::Diagnostic)

##
Instance Method Summary

- #diagnostic : LSProtocol::Diagnostic
- #issue : Ameba::Issue

##
Constructor Detail

def self.new(issue : Ameba::Issue, diagnostic : LSProtocol::Diagnostic) #

##
Instance Method Detail

def diagnostic : LSProtocol::Diagnostic #
def issue : Ameba::Issue #